#!/bin/sh
cd "$1"
cd ../../

# check if the global frameworks directory exists, create it if not
if [ ! -d "/Library/Application Support/Eskape PlugIns" ]; then
	  # create
	mkdir "/Library/Application Support/Eskape PlugIns"
	  # set group to the administrative group
	chgrp staff "/Library/Application Support/Eskape PlugIns"
	  # allow group users to modify
	chmod 775 "/Library/Application Support/Eskape PlugIns"
fi

if [ -d Contents/Resources/SupportItems/MyTVSchedulerDaemon.app ]; then

    killall -9 -v -c MyTVSchedulerDaemon
    
    if [ -d /var/run/MyTVSchedulerDaemon.pid ]; then
        kill -9 `cat /var/run/MyTVSchedulerDaemon.pid`
    fi
    


    # check if the app exists in /Library/Application Support/Eskape PlugIns
    # delete it if it is
    if [ -d "/Library/Application Support/Eskape PlugIns/MyTVSchedulerDaemon.app" ]; then
        rm -rf "/Library/Application Support/Eskape PlugIns/MyTVSchedulerDaemon.app"
    fi
    
    cp -Rp Contents/Resources/SupportItems/MyTVSchedulerDaemon.app "/Library/Application Support/Eskape PlugIns"
    chmod -R ogu+r "/Library/Application Support/Eskape PlugIns/MyTVSchedulerDaemon.app"
    chgrp -R daemon "/Library/Application Support/Eskape PlugIns/MyTVSchedulerDaemon.app"
    chmod g+s "/Library/Application Support/Eskape PlugIns/MyTVSchedulerDaemon.app/Contents/MacOS/MyTVSchedulerDaemon"

    # Launch the app
    echo Launching Daemon
    "/Library/Application Support/Eskape PlugIns/MyTVSchedulerDaemon.app/Contents/MacOS/MyTVSchedulerDaemon"

else
    echo MyTVSchedulerDaemon.app missing from build!
fi
