/* _______________________________________________________________________
	TrinityRemote.h - Remote control pipe constants

	first created: 6/3/2004
	
	copyright  1999-2004 by Eskape Labs, Inc. - all rights reserved.
 _______________________________________________________________________*/

#ifndef _TrinityRemote_
#define _TrinityRemote_

	#include <Trinity/TrinityCommon.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
	This pipe is implemented as a simple inbound data pipe. (for now...)
	Basically, you just open the pipe, prepare, start and wait for data.
*/

enum {
	kTRPipeTypeRemote = 'Rmot',
	
	/* Setting selectors */
	kTRRemoteProtocol = 'Rprt',		/* GET     - Get a list of supported remote protocols */
	kTRRemotePacketSize = 'Rpkz',	/* GET     - Get the amount of data that will be sent in each packet */
};

enum {
	kTRRemoteProtocol_RC5 = 1,		// standard RC5 protocol
	// more as needed...
};


/* Error/Return codes */
enum {
	kTRRemoteInvalidProtocolErr = -4000,
};

#ifdef __cplusplus
}
#endif

#endif /* _TrinityRemote_ */

/*______________________________________________________________________*/
