/* _______________________________________________________________________
	TrinityVBIData.h - Constants for handling data commonly found in the
					   VBI portion of analog video signals
	
	first created: 4/3/2001
	
	copyright  1999-2001 by David DeHaven - all rights reserved.
 _______________________________________________________________________*/

#ifndef _TrinityVBIData_
#define _TrinityVBIData_

	#include <Trinity/TrinityCommon.h>

#ifdef __cplusplus
extern "C" {
#endif

enum {
	/* we can use a single pipe to access all different types of data available */
	/* this avoids messy configuration issues */
	kTRPipeTypeVBIData = 'pVBI',
	
	/* Types of VBI data supported in this module */
	kTRVBIDataTypeClosedCaption = 'CCap',	/* IN/OUT - Closed Captioning Data */
	kTRVBIDataTypeTeletext = 'Tltx',		/* IN/OUT - Teletext */
	kTRVBIDataTypeEmergencyData = 'Emgy',	/* IN     - Emergency broadcast data */
	kTRVBIDataTypeEPG = 'EPrg'				/* IN     - EPG */
};

/*
	 TODO:
		- Umm... finish working on this??? Might be a good start
*/

enum {
	/* Setting Selectors				   GET/SET IN/OUT - allowed access modes */
		/* closed caption pipe settings */
	kTRCCapStatus = 'CCst',				/* GET     IN/OUT - if closed captioning information is available */
	
		/* teletext pipe settings */
	kTRTeletextStatus = 'TTst',			/* GET     IN/OUT - if teletext information is available */
	
		/* EPG pipe settings */
	kTREPGStatus = 'EGst'				/* GET     IN     - if an electronic programming guide is available */
};

#ifdef __cplusplus
}
#endif

#endif /* _TrinityVBIData_ */

/*______________________________________________________________________*/
